Jump to content

minecraft 1.19 forgeserver missingforge


啊 giao

Recommended Posts

--My English is not very good, sorry--

My forge always breaks down,this is log 

1.

2022-07-17 09:55:42,798 main WARN Advanced terminal features are not available in this environment
[09:55:43] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher running: args [--launchTarget, forgeserver, --fml.forgeVersion, 41.0.91, --fml.mcVersion, 1.19, --fml.forgeGroup, net.minecraftforge, --fml.mcpVersion, 20220607.102129]
[09:55:43] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher 10.0.8+10.0.8+main.0ef7e830 starting: java version 18.0.1.1 by Oracle Corporation; OS Windows 11 arch amd64 version 10.0
[09:55:43] [main/INFO] [mixin/]: SpongePowered MIXIN Subsystem Version=0.8.5 Source=union:/G:/fwq/musesenlin/libraries/org/spongepowered/mixin/0.8.5/mixin-0.8.5.jar%2362!/ Service=ModLauncher Env=SERVER
[09:55:44] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file G:\fwq\musesenlin\libraries\net\minecraftforge\fmlcore\1.19-41.0.91\fmlcore-1.19-41.0.91.jar is missing mods.toml file
[09:55:44] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file G:\fwq\musesenlin\libraries\net\minecraftforge\javafmllanguage\1.19-41.0.91\javafmllanguage-1.19-41.0.91.jar is missing mods.toml file
[09:55:44] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file G:\fwq\musesenlin\libraries\net\minecraftforge\lowcodelanguage\1.19-41.0.91\lowcodelanguage-1.19-41.0.91.jar is missing mods.toml file
[09:55:44] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file G:\fwq\musesenlin\libraries\net\minecraftforge\mclanguage\1.19-41.0.91\mclanguage-1.19-41.0.91.jar is missing mods.toml file
[09:55:44] [main/INFO] [ne.mi.fm.lo.mo.JarInJarDependencyLocator/]: No dependencies to load found. Skipping!
[09:55:44] [main/ERROR] [ne.mi.fm.lo.ModSorter/LOADING]: Missing mandatory dependencies: forge
[09:55:47] [main/INFO] [cp.mo.mo.LaunchServiceHandler/MODLAUNCHER]: Launching target 'forgeserver' with arguments []
[09:56:00] [main/INFO] [minecraft/DataFixers]: Building unoptimized datafixer
[09:56:05] [main/FATAL] [ne.mi.fm.ModLoader/CORE]: Error during pre-loading phase
net.minecraftforge.fml.ModLoadingException: Mod §etwilightforest§r requires §6forge§r §o41.0.94 or above§r
§7Currently, §6forge§r§7 is §o41.0.91
        at net.minecraftforge.fml.ModLoadingException.lambda$fromEarlyException$0(ModLoadingException.java:50) ~[fmlcore-1.19-41.0.91.jar%2398!/:?] {}
        at java.util.stream.ReferencePipeline$3$1.accept(ReferencePipeline.java:197) ~[?:?] {}
        at java.util.AbstractList$RandomAccessSpliterator.forEachRemaining(AbstractList.java:720) ~[?:?] {}
        at java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:509) ~[?:?] {}
        at java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:499) ~[?:?] {}
        at java.util.stream.ForEachOps$ForEachOp.evaluateSequential(ForEachOps.java:150) ~[?:?] {}
        at java.util.stream.ForEachOps$ForEachOp$OfRef.evaluateSequential(ForEachOps.java:173) ~[?:?] {}
        at java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:234) ~[?:?] {}
        at java.util.stream.ReferencePipeline.forEach(ReferencePipeline.java:596) ~[?:?] {}
        at java.util.stream.ReferencePipeline$7$1.accept(ReferencePipeline.java:276) ~[?:?] {}
        at java.util.ArrayList$ArrayListSpliterator.forEachRemaining(ArrayList.java:1625) ~[?:?] {}
        at java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:509) ~[?:?] {}
        at java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:499) ~[?:?] {}
        at java.util.stream.ReduceOps$ReduceOp.evaluateSequential(ReduceOps.java:921) ~[?:?] {}
        at java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:234) ~[?:?] {}
        at java.util.stream.ReferencePipeline.collect(ReferencePipeline.java:682) ~[?:?] {}
        at net.minecraftforge.fml.ModLoader.<init>(ModLoader.java:99) ~[fmlcore-1.19-41.0.91.jar%2398!/:?] {}
        at net.minecraftforge.fml.ModLoader.get(ModLoader.java:131) ~[fmlcore-1.19-41.0.91.jar%2398!/:?] {}
        at net.minecraftforge.server.loading.ServerModLoader.load(ServerModLoader.java:32) ~[forge-1.19-41.0.91-universal.jar%23102!/:?] {re:classloading}
        at net.minecraft.server.Main.main(Main.java:113) ~[server-1.19-20220607.102129-srg.jar%2397!/:?] {re:classloading}
        at jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104) ~[?:?] {}
        at java.lang.reflect.Method.invoke(Method.java:577) ~[?:?] {}
        at net.minecraftforge.fml.loading.targets.CommonServerLaunchHandler.lambda$launchService$0(CommonServerLaunchHandler.java:29) ~[fmlloader-1.19-41.0.91.jar%2365!/:?] {}
        at cpw.mods.modlauncher.LaunchServiceHandlerDecorator.launch(LaunchServiceHandlerDecorator.java:30) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:53) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:71) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.Launcher.run(Launcher.java:106) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.Launcher.main(Launcher.java:77) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:26) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:23) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.bootstraplauncher.BootstrapLauncher.main(BootstrapLauncher.java:141) [bootstraplauncher-1.1.2.jar:?] {}
Negative index in crash report handler (14/16)
[09:56:05] [main/FATAL] [ne.mi.se.lo.ServerModLoader/]: Crash report saved to .\crash-reports\crash-2022-07-17_09.56.05-fml.txt
---- Minecraft Crash Report ----
// Who set us up the TNT?

Time: 2022/7/17 上午9:56
Description: Mod loading error has occurred

java.lang.Exception: Mod Loading has failed
        at net.minecraftforge.logging.CrashReportExtender.dumpModLoadingCrashReport(CrashReportExtender.java:55) ~[forge-1.19-41.0.91-universal.jar%23102!/:?] {re:classloading}
        at net.minecraftforge.server.loading.ServerModLoader.load(ServerModLoader.java:39) ~[forge-1.19-41.0.91-universal.jar%23102!/:?] {re:classloading}
        at net.minecraft.server.Main.main(Main.java:113) ~[server-1.19-20220607.102129-srg.jar%2397!/:?] {re:classloading}
        at jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104) ~[?:?] {}
        at java.lang.reflect.Method.invoke(Method.java:577) ~[?:?] {}
        at net.minecraftforge.fml.loading.targets.CommonServerLaunchHandler.lambda$launchService$0(CommonServerLaunchHandler.java:29) ~[fmlloader-1.19-41.0.91.jar%2365!/:?] {}
        at cpw.mods.modlauncher.LaunchServiceHandlerDecorator.launch(LaunchServiceHandlerDecorator.java:30) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:53) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:71) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.Launcher.run(Launcher.java:106) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.Launcher.main(Launcher.java:77) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:26) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:23) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.bootstraplauncher.BootstrapLauncher.main(BootstrapLauncher.java:141) [bootstraplauncher-1.1.2.jar:?] {}


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: main
Stacktrace:
        at net.minecraftforge.logging.CrashReportExtender.lambda$dumpModLoadingCrashReport$7(CrashReportExtender.java:58) ~[forge-1.19-41.0.91-universal.jar%23102!/:?] {re:classloading}
-- MOD twilightforest --
Details:
        Mod File: twilightforest-1.19-4.2.1193-universal.jar
        Failure message: Mod twilightforest requires forge 41.0.94 or above
                Currently, forge is 41.0.91
        Mod Version: 4.2.1193
        Mod Issue URL: https://github.com/TeamTwilight/twilightforest/issues
        Exception message: MISSING EXCEPTION MESSAGE
Stacktrace:
        at net.minecraftforge.logging.CrashReportExtender.lambda$dumpModLoadingCrashReport$7(CrashReportExtender.java:58) ~[forge-1.19-41.0.91-universal.jar%23102!/:?] {re:classloading}
        at java.util.ArrayList.forEach(ArrayList.java:1511) ~[?:?] {}
        at net.minecraftforge.logging.CrashReportExtender.dumpModLoadingCrashReport(CrashReportExtender.java:56) ~[forge-1.19-41.0.91-universal.jar%23102!/:?] {re:classloading}
        at net.minecraftforge.server.loading.ServerModLoader.load(ServerModLoader.java:39) ~[forge-1.19-41.0.91-universal.jar%23102!/:?] {re:classloading}
        at net.minecraft.server.Main.main(Main.java:113) ~[server-1.19-20220607.102129-srg.jar%2397!/:?] {re:classloading}
        at jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104) ~[?:?] {}
        at java.lang.reflect.Method.invoke(Method.java:577) ~[?:?] {}
        at net.minecraftforge.fml.loading.targets.CommonServerLaunchHandler.lambda$launchService$0(CommonServerLaunchHandler.java:29) ~[fmlloader-1.19-41.0.91.jar%2365!/:?] {}
        at cpw.mods.modlauncher.LaunchServiceHandlerDecorator.launch(LaunchServiceHandlerDecorator.java:30) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:53) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:71) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.Launcher.run(Launcher.java:106) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.Launcher.main(Launcher.java:77) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:26) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:23) [modlauncher-10.0.8.jar%2353!/:?] {}
        at cpw.mods.bootstraplauncher.BootstrapLauncher.main(BootstrapLauncher.java:141) [bootstraplauncher-1.1.2.jar:?] {}


-- 系统详细信息 --
详细信息:
Minecraft 版本: 1.19
Minecraft 版本 ID: 1.19
操作系统: Windows 11 (amd64) 版本 10.0
Java 版本: 18.0.1.1, Oracle Corporation
Java VM 版本: Java HotSpot(TM) 64 位服务器 VM (混合模式, 共享), Oracle 公司
内存: 116505096 字节 (111 MiB) / 371195904 字节 (354 MiB) 最多 2147483648 字节 (2048 MiB)
CPU: 4
处理器供应商: GenuineIntel
处理器名称: 英特尔(R) 酷睿(TM) i3-4160 CPU @ 3.60GHz
标识符: 英特尔64 家族 6 型号 60 步进 3
微体系结构: Haswell(客户端)
频率 (GHz): 3.60
物理封装数量: 1
物理 CPU 数量: 2
逻辑 CPU 数量: 4
显卡 #0 名称: NVIDIA GeForce GT 740
显卡 #0 供应商: NVIDIA (0x10de)
显卡 #0 VRAM (MB): 2048.00
显卡 #0 设备Id: 0x0fc8
显卡 #0 版本信息: 驱动程序版本 =27.21.14.5671
显卡 #1 名称: 英特尔(R) 核芯显卡 4400
显卡 #1 供应商: 英特尔公司 (0x8086)
显卡 #1 VRAM (MB): 1024.00
显卡 #1 设备Id: 0x041e
显卡 #1 版本信息: 驱动程序版本 = 20.19.15.5171
内存插槽 #0 容量 (MB): 8192.00
内存插槽 #0 时钟速度 (GHz): 1.60
内存插槽 #0 类型: DDR3
内存插槽 #1 容量 (MB): 4096.00
内存插槽 #1 时钟速度 (GHz): 1.60
内存插槽 #1 类型: DDR3
最大虚拟内存 (MB): 17017.77
已用虚拟内存 (MB): 13234.98
交换内存 总计 (MB): 4864.00
已用交换内存 (MB): 414.76
JVM 标志: 2 总计;-Xmx2G -Xmx2G
ModLauncher: 10.0.8+10.0.8+main.0ef7e830
ModLauncher 启动目标: forgeserver
ModLauncher 命名: srg
ModLauncher services:
mixin-0.8.5.jar mixin PLUGINSERVICE
eventbus-6.0.0.jar eventbus PLUGINSERVICE
fmlloader-1.19-41.0.91.jar slf4jfixer PLUGINSERVICE
fmlloader-1.19-41.0.91.jar object_holder_definalize PLUGINSERVICE
fmlloader-1.19-41.0.91.jar runtime_enum_extender PLUGINSERVICE
fmlloader-1.19-41.0.91.jar capability_token_subclass PLUGINSERVICE
accesstransformers-8.0.4.jar accesstransformer PLUGINSERVICE
fmlloader-1.19-41.0.91.jar runtimedistcleaner PLUGINSERVICE
modlauncher-10.0.8.jar mixin TRANSFORMATIONSERVICE
modlauncher-10.0.8.jar fml TRANSFORMATIONSERVICE
FML Language Providers:
[email protected]
lowcodefml@null
javafml@null
Mod 列表:
server-1.19-20220607.102129-srg.jar |我的世界 |minecraft |1.19 |无 |清单:NOSIGNATURE
伪造-1.19-41.0.91-通用.jar |锻造|锻造 |41.0.91 |无 |Manifest: 84:ce:76:e8:45:35:e4:0e:63:86:df:47:59:80:0f:67:6c:c1:5f:6e:5f:4d:b3:54:47:1a:9f:7f:ed:5e:f2:90[09:56:05] [main/ERROR] [minecraft/Main]: 无法启动 minecraft server
net.minecraftforge.fml.LoadingFailedException: 加载错误: [
Mod §etwilightforest§r 需要 §6forge§r §o41.0.94 或更高版本§r
§7目前,§6forge§r§7 是 §o41.0.91
]
at net.minecraftforge.fml.ModLoader.gatherAndInitializeMods(ModLoader.java:152) ~[fmlcore-1.19-41.0.91.jar%2398!/:?]{}
at net.minecraftforge.server.loading.ServerModLoader.load(ServerModLoader.java:32) ~[forge-1.19-41.0.91-universal.jar%23102!/:?]{re:classloading}
at net.minecraft.server.Main.main(Main.java:113) ~[server-1.19-20220607.102129-srg.jar%2397!/:?]{re:classloading}
at jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104) ~[?:?]{}
at java.lang.reflect.Method.invoke(Method.java:577) ~[?:?]{}
at net.minecraftforge.fml.loading.targets.CommonServerLaunchHandler.lambda$launchService$0(CommonServerLaunchHandler.java:29) ~[fmlloader-1.19-41.0.91.jar%2365!/:?]{}
at cpw.mods.modlauncher.LaunchServiceHandlerDecorator.launch(LaunchServiceHandlerDecorator.java:30) [modlauncher-10.0.8.jar%2353!/:?]{}
at cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:53) [modlauncher-10.0.8.jar%2353!/:?]{}
at cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:71) [modlauncher-10.0.8.jar%2353!/:?]{}
at cpw.mods.modlauncher.Launcher.run(Launcher.java:106) [modlauncher-10.0.8.jar%2353!/:?]{}
at cpw.mods.modlauncher.Launcher.main(Launcher.java:77) [modlauncher-10.0.8.jar%2353!/:?]{}
at cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:26) [modlauncher-10.0.8.jar%2353!/:?]{}
at cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:23) [modlauncher-10.0.8.jar%2353!/:?]{}
at cpw.mods.bootstraplauncher.BootstrapLauncher.main(BootstrapLauncher.java:141) [bootstraplauncher-1.1.2.jar:?]{}
请按任意键继续. .

Link to comment
Share on other sites

Quote

net.minecraftforge.fml.ModLoadingException: Mod §etwilightforest§r requires §6forge§r §o41.0.94 or above§r
§7Currently, §6forge§r§7 is §o41.0.91

Update forge, twighlight forest needs a later version

Boilerplate:

If you don't post your logs/debug.log we can't help you. For curseforge you need to enable the forge debug.log in its minecraft settings. You should also post your crash report if you have one.

If there is no error in the log file and you don't have a crash report then post the launcher_log.txt from the minecraft folder. Again for curseforge this will be in your curseforge/minecraft/Install

Large files should be posted to a file sharing site like https://gist.github.com  You should also read the support forum sticky post.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Announcements



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.